This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1280452 - boot output hangs at Journal Service
boot output hangs at Journal Service
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
: 1282138 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 13:53 EST by Andreas M. Kirchwitz
Modified: 2016-12-20 10:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:41:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/boot.log (no interaction, output hangs) (2.99 KB, application/octet-stream)
2015-11-11 13:53 EST, Andreas M. Kirchwitz
no flags Details
/var/log/boot.log (ESC pressed, full output) (15.32 KB, application/octet-stream)
2015-11-11 13:54 EST, Andreas M. Kirchwitz
no flags Details

  None (edit)
Description Andreas M. Kirchwitz 2015-11-11 13:53:04 EST
Created attachment 1092826 [details]
/var/log/boot.log (no interaction, output hangs)

Description of problem:

With Fedora 23 Workstation (64 bit), boot logging (both, console output and /var/log/boot.log) hangs at Journal Service. This comes quite early during the startup process, so most boot logging gets lost.

Fedora continues to boot (disk activity) and eventually presents the login prompt, but no further messages appear on screen or in /var/log/boot.log

It happens with and without "rhgb" kernel option, but without "rhgb" the problem is more obvious because most people won't check /var/log/boot.log

As soon as ESC is pressed on keyboard (to toggle between the text output and the boot logo) then magically boot messages continue to work again (both, console output and /var/log/boot.log). However, any messages in between are lost (there seems to be no buffering).

If ESC is pressed extremely early in the startup process (just milliseconds after GRUB), chances are that it won't help and the output still hangs. However, if you manage to press ESC not too soon but right before Journal Service is reached (maybe 1-2 seconds after GRUB), then the boot log will be almost complete.

Same problem on 3 different installations (fresh install, not an upgrade from). All patches as of today have been installed.

Version-Release number of selected component (if applicable):

systemd-222-8.fc23.x86_64

How reproducible:

Always (at every boot of Fedora 23 Workstation).

Steps to Reproduce:
1. Boot Fedora 23 Workstation. (best with "rhgb" kernel option disabled)
2. Watch screen output. (or check /var/log/boot.log after boot)
3. Output hangs after Switch Root, that's when Journal Service usually starts.

Actual results:

Excerpt of console output...

[^[[32m  OK  ^[[0m] Reached target Switch Root.
[^[[32m  OK  ^[[0m] Started Plymouth switch root service.
         Starting Switch Root...
^[%G^[%G^[[9;5]^[[14;10]
(no more output, but machine continues to boot)

Expected results:

This is how boot logging should look like ...

[^[[32m  OK  ^[[0m] Reached target Switch Root.
[^[[32m  OK  ^[[0m] Started Plymouth switch root service.
         Starting Switch Root...
[^[[32m  OK  ^[[0m] Stopped Journal Service.
         Starting Journal Service...
(output continues for all services until login prompt)

Additional info:

See attachments,
(a) output hangs (no interaction during boot),
(b) full ouput (ESC pressed just before Journal Service kicks in).
Comment 1 Andreas M. Kirchwitz 2015-11-11 13:54 EST
Created attachment 1092827 [details]
/var/log/boot.log (ESC pressed, full output)
Comment 2 Ronald Wahl 2015-12-06 16:48:26 EST
*** Bug 1282138 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2016-11-24 08:19:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Andreas M. Kirchwitz 2016-11-24 08:27:24 EST
This bug also is in Fedora 24 and brand-new Fedora 25.
As nobody processed the bug report, the problem is still there. :-)

There's still no full log of the boot process available. Makes it hard to recognize and solve problems.
Comment 5 Fedora End Of Life 2016-12-20 10:41:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.